/*
 *  Copyright © 2016, 2017, Oracle and/or its affiliates. All rights reserved.
 *  This software is dual-licensed to you under the MIT License (MIT) and
 *  the Universal Permissive License (UPL). See the LICENSE file in the root
 *  directory for license terms. You may choose either license, or both.
 */

import Foundation

/**
 * ActivationPolicyRequest
 */
class ActivationPolicyRequest {
    
    private static let OS_NAME: String = "OSName"
    private static let OS_VERSION: String = "OSVersion"
    
    private var osVersion: String
    private var osName: String
    
    init(osName: String, osVersion: String) {
        self.osName = osName
        self.osVersion = osVersion
    }
    
    func toQuery() -> String {
        return "?" + ActivationPolicyRequest.OS_NAME + "=" + osName + "&" + ActivationPolicyRequest.OS_VERSION + "=" + osVersion
    }
    
    func toString() -> String {
        return "ActivationPolicyRequest{" +
            ActivationPolicyRequest.OS_NAME + "=" + osName +
            ActivationPolicyRequest.OS_VERSION + "=" + osVersion + "}"
    }
}
