/*
 * Copyright (c) 2017, Oracle and/or its affiliates.  All rights reserved.
 *
 * This software is dual-licensed to you under the MIT License (MIT) and
 * the Universal Permissive License (UPL).  See the LICENSE file in the root
 * directory for license terms.  You may choose either license, or both.
 */

//com.oracle.iot.client.enterprise;

public class EnterpriseStorageConnectionMap {
    
    private static var STORAGE_CONNECTION_MAP:Dictionary<String,StorageConnectionImpl>  =
        Dictionary<String,StorageConnectionImpl>()

    public class func getStorageConnection(ec:EnterpriseClient) -> StorageConnection {
        let secureConnection:HttpSecureConnection = SecureHttpConnectionMap.getSecureHttpConnection(client: ec);
        return StorageConnectionMap.getStorageConnection(secureConnection:secureConnection)
    }
    
    /*
     * Private only
     */
    fileprivate class StorageConnectionMap  {
        
        private static
        var STORAGE_CONNECTION_MAP:Dictionary<String,StorageConnectionImpl> =
            Dictionary<String,StorageConnectionImpl>();
        
        fileprivate class func getStorageConnection(secureConnection:SecureConnection)
                -> StorageConnectionImpl {
            var storageConnection = STORAGE_CONNECTION_MAP[secureConnection.getEndpointId()!]
            if storageConnection == nil {
                storageConnection = StorageConnectionImpl(secureConnection:secureConnection)
                STORAGE_CONNECTION_MAP[secureConnection.getEndpointId()!] = storageConnection
            }
            return storageConnection!
        }
    }
}
