/*
 *  Copyright © 2016 Oracle and/or its affiliates. All rights reserved.
 *  This software is dual-licensed to you under the MIT License (MIT) and
 *  the Universal Permissive License (UPL). See the LICENSE file in the root
 *  directory for license terms. You may choose either license, or both.
 */

import Foundation

class TimeManager {
    
    static var diffWithServerMillis = Int64(0)
    
    static func currentTimeMillis() -> Int64 {
        return Int64(Int64(Date().timeIntervalSince1970 * 1000) + 900000) + TimeManager.diffWithServerMillis
    }
    
    static func setCurrentTimeMillis(serverTime: Int64) {
        let diff = serverTime - Int64(Int64(Date().timeIntervalSince1970 * 1000) + 900000)
        TimeManager.diffWithServerMillis = diff
    }
    
}

